> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a list orders on hold which can be updated via the Bulk Update endpoint



## OpenAPI

````yaml /openapi.json get /api/v1/Orders/BulkOrderUpdate
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Orders/BulkOrderUpdate:
    get:
      tags:
        - Orders
      summary: >-
        Gets a list orders on hold which can be updated via the Bulk Update
        endpoint
      parameters:
        - name: accountNumber
          in: query
          description: AccountNumber is the unique Customer ID in the WineDirect system.
          required: true
          schema:
            minLength: 2
            type: string
        - name: orderTypeCode
          in: query
          description: "The Type of Order (code)\r\n            \r\n    \"CLUB\" - Club Order\r\n    \"STND\" - Daily Order\r\n    \"SPCL\" - Special Order\r\n    \"VC\"   - Visitor Center\r\n    \"DAILY\" - Daily Order\r\n    \"SPECIAL\" - Special Order\r\n    \"CORP\" - Corp Order"
          schema:
            type: string
        - name: serviceLevel
          in: query
          description: The service level
          schema:
            type: string
        - name: notificationTemplateId
          in: query
          description: The ID code of the notification
          schema:
            type: integer
            format: int32
        - name: packingSlipTemplateId
          in: query
          description: The ID code of the packing slip
          schema:
            type: integer
            format: int32
        - name: searchStartDate
          in: query
          description: "The beginning date of the search range\r\n            \r\n    YYYY-MM-DD"
          schema:
            type: string
            format: date-time
        - name: searchEndDate
          in: query
          description: "The ending date of the search range\r\n            \r\n    YYYY-MM-DD"
          schema:
            type: string
            format: date-time
        - name: warehouseCode
          in: query
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          schema:
            type: string
        - name: stateCode
          in: query
          description: The (US Address) state code
          schema:
            type: string
        - name: batchNumber
          in: query
          description: The batch number containing this order
          schema:
            type: string
        - name: holdName
          in: query
          description: The name of the hold
          schema:
            type: string
      responses:
        '200':
          description: Returns the list of orders
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkOrderItemIEnumerableServiceResult'
components:
  schemas:
    BulkOrderItemIEnumerableServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          type: array
          items:
            $ref: '#/components/schemas/BulkOrderItem'
          description: The payload object of the response
          nullable: true
      additionalProperties: false
      description: Generic container for all service responses
    BulkOrderItem:
      required:
        - accountNumber
      type: object
      properties:
        bulkOrderUpdateId:
          type: string
          description: The RowId of the Bulk Order Item used in Update Requests
          nullable: true
        accountNumber:
          minLength: 1
          type: string
          description: AccountNumber is the unique Customer ID in the WineDirect system.
        supplierName:
          type: string
          description: The name of the supplier on the order
          nullable: true
        consumerName:
          type: string
          description: The name of the consumer on the order
          nullable: true
        orderNumber:
          type: string
          description: The order number of the customer
          nullable: true
        wineDirectOrderNumber:
          type: string
          description: The order number of WineDirect
          nullable: true
        statusCode:
          type: string
          description: The status of the order (Code)
          nullable: true
        statusName:
          type: string
          description: The status of the order (Name)
          nullable: true
        warehouseCode:
          type: string
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          nullable: true
        warehouseName:
          type: string
          description: The warehouse this transfer is going to
          nullable: true
          example: >-
            Glenwillow, Green Island, Paso Robles, Santa Maria, Willamette
            Valley
        batchNumber:
          type: string
          description: The batch number containing this order
          nullable: true
        orderedDate:
          type: string
          description: When was this ordered
          format: date-time
          nullable: true
        requestedDate:
          type: string
          description: The requested date
          format: date-time
          nullable: true
        requestedShipDateFrom:
          type: string
          description: The requested ship date from
          format: date-time
          nullable: true
        requestedShipDateTo:
          type: string
          description: The requested ship date to
          format: date-time
          nullable: true
        firstShippedDate:
          type: string
          description: The first shipped date
          format: date-time
          nullable: true
        lastShippedDate:
          type: string
          description: The last shipped date
          format: date-time
          nullable: true
        orderTypeCode:
          type: string
          description: "The Type of Order (code)\r\n            \r\n    \"CLUB\" - Club Order\r\n    \"STND\" - Daily Order\r\n    \"SPCL\" - Special Order\r\n    \"VC\"   - Visitor Center\r\n    \"DAILY\" - Daily Order\r\n    \"SPECIAL\" - Special Order\r\n    \"CORP\" - Corp Order"
          nullable: true
        orderTypeName:
          type: string
          description: The order type (name)
          nullable: true
        serviceLevel:
          type: string
          description: The service level
          nullable: true
        carrierName:
          type: string
          description: The name of the carrier
          nullable: true
        notificationEmail:
          type: string
          description: The notification email
          nullable: true
        stateCode:
          type: string
          description: The (US Address) state code
          nullable: true
        holdName:
          type: string
          description: The name of the hold on this order
          nullable: true
        notificationTemplateId:
          type: integer
          description: The ID code of the notification
          format: int32
          nullable: true
        packingSlipTemplateId:
          type: integer
          description: The ID code of the packing slip
          format: int32
          nullable: true
      additionalProperties: false
      description: >-
        An order, on hold, which can be updated via the Bulk Order Update
        request
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````